## libpam-radius-auth 1.3.14

=== Makefile ===
######################################################################
#
#  A minimal 'Makefile', by Alan DeKok <aland@freeradius.org>
#
# $Id: Makefile,v 1.9 2001/08/20 17:16:44 aland Exp $
#
#############################################################################

VERSION=1.3.14

######################################################################
#
# If we're really paranoid, use these flags
#CFLAGS = -Wall -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Waggregate-return
#
#  If you're not using GCC, then you'll have to change the CFLAGS.
#
CFLAGS = -Wall -fPIC

######################################################################
#
#  The default rule to build everything.
#
all: pam_radius_auth.so

######################################################################
#
#  Build the object file from the C source.
#
pam_radius_auth.o: pam_radius_auth.c pam_radius_auth.h
	$(CC) $(CFLAGS) -c pam_radius_auth.c -o pam_radius_auth.o

######################################################################
#
#  Build the shared library.
#
#  The -Bshareable flag *should* work on *most* operating systems.
#
#  On Solaris, you might try using '-G', instead.
#
pam_radius_auth.so: pam_radius_auth.o md5.o
	ld -Bshareable pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so

######################################################################
#
#  Check a distribution out of the source tree, and make a tar file.
#
dist:
	cvs export -D now -d pam_radius-${VERSION} pam_radius
	tar -cf pam_radius-${VERSION}.tar pam_radius-${VERSION}
	rm -rf pam_radius-${VERSION}

######################################################################
#
#  Clean up everything
#
clean:
	@rm -f *~ *.so *.o

## libpam-radius-auth 1.3.16

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 #
 #  A minimal 'Makefile', by Alan DeKok <aland@freeradius.org>
 #
-# $Id: Makefile,v 1.9 2001/08/20 17:16:44 aland Exp $
+# $Id: Makefile,v 1.12 2003/09/19 14:41:45 aland Exp $
 #
 #############################################################################
 
-VERSION=1.3.14
+VERSION=1.3.16
 
 ######################################################################
 #
@@ -16,6 +16,13 @@
 #  If you're not using GCC, then you'll have to change the CFLAGS.
 #
 CFLAGS = -Wall -fPIC
+#
+# On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
+# gcc on Irix does not work yet for pam_radius
+# Also, use gmake instead of make
+# Then copy pam_radius_auth.so to /usr/freeware/lib32/security (PAM dir)
+# CFLAGS =
+
 
 ######################################################################
 #
@@ -29,6 +36,11 @@
 #
 pam_radius_auth.o: pam_radius_auth.c pam_radius_auth.h
 	$(CC) $(CFLAGS) -c pam_radius_auth.c -o pam_radius_auth.o
+#
+# This is what should work on Irix:
+#pam_radius_auth.so: pam_radius_auth.o md5.o
+#	ld -shared pam_radius_auth.o md5.o -L/usr/freeware/lib32 -lpam -lc -o pam_radius_auth.so
+
 
 ######################################################################
 #
@@ -37,6 +49,10 @@
 #  The -Bshareable flag *should* work on *most* operating systems.
 #
 #  On Solaris, you might try using '-G', instead.
+#
+#  On systems with a newer GCC, you will need to do:
+#
+#	gcc -shared pam_radius_auth.o md5.o -lpam -lc -o pam_radius_auth.so
 #
 pam_radius_auth.so: pam_radius_auth.o md5.o
 	ld -Bshareable pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so

## libpam-radius-auth 1.3.17

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 #
 #  A minimal 'Makefile', by Alan DeKok <aland@freeradius.org>
 #
-# $Id: Makefile,v 1.12 2003/09/19 14:41:45 aland Exp $
+# $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
 
-VERSION=1.3.16
+VERSION=1.3.17
 
 ######################################################################
 #

## libpam-radius-auth 1.4.0

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,7 @@
 # $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
-
-VERSION=1.3.17
+VERSION=1.4.0
 
 ######################################################################
 #
@@ -15,7 +14,7 @@
 #
 #  If you're not using GCC, then you'll have to change the CFLAGS.
 #
-CFLAGS = -Wall -fPIC
+CFLAGS += -Wall -fPIC
 #
 # On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
 # gcc on Irix does not work yet for pam_radius
@@ -23,6 +22,8 @@
 # Then copy pam_radius_auth.so to /usr/freeware/lib32/security (PAM dir)
 # CFLAGS =
 
+#LDFLAGS += -shared -Wl,--version-script=pamsymbols.ver
+LDFLAGS += -shared
 
 ######################################################################
 #
@@ -34,8 +35,11 @@
 #
 #  Build the object file from the C source.
 #
-pam_radius_auth.o: pam_radius_auth.c pam_radius_auth.h
-	$(CC) $(CFLAGS) -c pam_radius_auth.c -o pam_radius_auth.o
+pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
+	$(CC) $(CFLAGS) -c $< -o $@
+
+md5.o: src/md5.c src/md5.h
+	$(CC) $(CFLAGS) -c $< -o $@
 #
 # This is what should work on Irix:
 #pam_radius_auth.so: pam_radius_auth.o md5.o
@@ -55,16 +59,17 @@
 #	gcc -shared pam_radius_auth.o md5.o -lpam -lc -o pam_radius_auth.so
 #
 pam_radius_auth.so: pam_radius_auth.o md5.o
-	ld -Bshareable pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so
+	$(CC) $(LDFLAGS) pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so
 
 ######################################################################
 #
 #  Check a distribution out of the source tree, and make a tar file.
 #
+.PHONY: dist
 dist:
-	cvs export -D now -d pam_radius-${VERSION} pam_radius
-	tar -cf pam_radius-${VERSION}.tar pam_radius-${VERSION}
-	rm -rf pam_radius-${VERSION}
+	git archive --format=tar --prefix=pam_radius-$(VERSION)/ master | gzip > pam_radius-$(VERSION).tar.gz
+	gpg --default-key aland@freeradius.org -b pam_radius-$(VERSION).tar.gz
+
 
 ######################################################################
 #

=== debian/changelog ===
libpam-radius-auth (1.4.0-3) unstable; urgency=medium

  * QA upload
  * Add patch to fix buffer overflow in password field.
    (Fixes: CVE-2015-9542) (Closes: #951396)
  * Bump Standards-Version to 4.5.0 and dh-compat to 12

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 21 Feb 2020 15:47:11 +0530

libpam-radius-auth (1.4.0-2) unstable; urgency=medium

  * QA upload.
  * Fix a regression that made libpam-radius-auth/1.4.0-1 use
    a different configuration file than intended.  This version
    restores /etc/pam_radius_auth.conf as the configuration
    file for Debian package of libpam-radius-auth.
    (Closes: #908006)
  * Use the new "debhelper-compat (= 11)" method for specifying
    debhelper compat version.

 -- Niels Thykier <niels@thykier.net>  Wed, 05 Sep 2018 19:44:07 +0000

libpam-radius-auth (1.4.0-1) unstable; urgency=low

  * QA upload.
  * New upstream release.  (Closes: #854284)
  * Drop patch that was applied upstream or no longer relevant.
  * Set Rules-Requires-Root to "no".
  * Bump Priority to "optional" since "extra" has been
    removed.
  * Rewrite rules file to the dh7-style.
  * Add ${misc:Depends} to the Depends field.
  * Add Homepage field.
  * Correct section to admin.
  * Change to source format 3.0 (quilt).
  * Bump debhelper compat to 11.
  * Enable bindnow hardening.
  * Update debian/copyright.
  * Bump Standards-Versions to 4.2.0 - no additional changes
    required.

 -- Niels Thykier <niels@thykier.net>  Sun, 19 Aug 2018 12:16:13 +0000

libpam-radius-auth (1.3.16-5) unstable; urgency=medium

  * QA upload
  * Set maintainer field to Debian QA Group (see #833039)
  * Bump debhelper compat level. Closes: #817544

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 18 Dec 2016 23:47:08 +0100

libpam-radius-auth (1.3.16-4.4) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Remove debconf stuff that deals with a prehistoric transition.
    Closes: #414926, #482458, #483032, #483081
  * [Lintian] Set debhelper compatibility level in debian/compat
  * [Lintian] No longer ignore errors in "make clean"
  * [Lintian] Remove debian/conffiles that only contains a file in /etc
    which is anyway automatically added

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 May 2008 19:14:50 +0200

libpam-radius-auth (1.3.16-4.3) unstable; urgency=low

  * NUM with maintainers consent
  * Add German debconf translation. (Closes: #410536)

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 12 Feb 2007 18:01:57 +0100

libpam-radius-auth (1.3.16-4.2) unstable; urgency=low

  * NMU
  * Add Spanish debconf translation. (Closes: #405445)

 -- Javier Ruano <Javier.ruano@estudiante.uam.es>  Thu,  4 Jan 2007 14:08:51 +0100

libpam-radius-auth (1.3.16-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove bashisms in debian/rules. (Closes: #379498)

 -- Christine Spang <spang@mit.edu>  Wed, 23 Aug 2006 07:14:29 -0400

libpam-radius-auth (1.3.16-4) unstable; urgency=low

  * Add alternate Depends to unblock debconf-2.0 transition.
  (Closes: #332003)

  * Add Vietnamese debconf translation.
  (Closes: #312442)

  * Add Czech debconf translation.
  (Closes: #316889)

  * Add Swedish debconf translation.
  (Closes: #333145)

  * Bump standard version. No changes.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Sat, 15 Oct 2005 18:13:44 +0200

libpam-radius-auth (1.3.16-3) unstable; urgency=high

  * [SECURITY] Fix Denial of service:
    - Add patch 002.CAN2005-0108.diff. (CAN2005-0108)

  * Add french debconf translation. (Closes: #268027)

  * Add dutch debconf translation. (Closes: #274897)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 19 Jan 2005 10:42:18 +0100

libpam-radius-auth (1.3.16-2) unstable; urgency=high

  * Acknowledge NMU. Thanks Michael for your help! (Closes: #266924)
  * Remove spurious "echo foo1" from debian/config ;)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 23 Aug 2004 07:46:17 +0200

libpam-radius-auth (1.3.16-1.2) unstable; urgency=high

  * NMU: SECURITY: clarify logic in preinst

 -- Michael Stone <mstone@debian.org>  Sat, 21 Aug 2004 11:26:34 -0400

libpam-radius-auth (1.3.16-1.1) unstable; urgency=high

  * NMU: SECURITY: fix incorrect permissions on /etc/pam_radius_auth.conf

 -- Michael Stone <mstone@debian.org>  Sat, 21 Aug 2004 09:50:17 -0400

libpam-radius-auth (1.3.16-1) unstable; urgency=low

  * New upstream release
  * New standard version: 3.6.1
  * Removed patches that were accepted by upstream

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 29 Oct 2003 07:12:50 +0100

libpam-radius-auth (1.3.15-8) unstable; urgency=low

  * New standard version 3.5.10
  * fixed clean target in debian/rules
  * fixed a call to the linker to avoid unresolved symbols on some archs
    (Thanks to Jochen Friedrich <jochen@scram.de>)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Sun, 18 May 2003 10:05:07 +0200

libpam-radius-auth (1.3.15-7) unstable; urgency=low

  * The "fixed in NMU" upload fix (Closes: #188314)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 15 Apr 2003 07:05:44 +0200

libpam-radius-auth (1.3.15-6) unstable; urgency=low

  * Bumped standard version to: 3.5.9
  * username (253 bytes) and password (128 bytes) length
    are now RFC2138 compliant (Closes: #188314)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 10 Apr 2003 22:13:50 +0200

libpam-radius-auth (1.3.15-5) unstable; urgency=low

  * Reincluded the original INSTALL
  * Included index.debian.html to point to the correct files.
  * Added README.Debian with notes about configfile
    location (Closes: #180576)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 10 Mar 2003 18:36:33 +0100

libpam-radius-auth (1.3.15-4) unstable; urgency=low

  * removed dh_testroot from debian/rules (build section)
    to permit normal users to compile the package again

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 16 Jan 2003 19:41:06 +0100

libpam-radius-auth (1.3.15-3) unstable; urgency=low



=== debian/control ===
Source: libpam-radius-auth
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: admin
Priority: optional
Standards-Version: 4.5.0
Build-Depends: libpam0g-dev | libpam-dev, debhelper-compat (= 12)
Rules-Requires-Root: no
Homepage: https://www.freeradius.org/pam_radius_auth/

Package: libpam-radius-auth
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: radius-server
Description: PAM RADIUS authentication module
 This is the PAM to RADIUS authentication module. It allows any PAM-capable
 machine to become a RADIUS client for authentication and accounting
 requests. You will, however, need to supply your own RADIUS server to
 perform the actual authentication

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

RADIUS_CONF_FILE=/etc/pam_radius_auth.conf
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND=-DCONF_FILE="\\\"$(RADIUS_CONF_FILE)\\\""

%:
	dh $@

# Make dh_auto_build pass CPPFLAGS in CFLAGS and force into "plain"
# makefile mode (because the configure here does not pass along e.g.
# compiler variables like CC)
override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_build -Smakefile

# Skip
override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/libpam-radius-auth/etc/pam_radius_auth.conf

## libpam-radius-auth 1.5.0-cl4u1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
-VERSION=1.4.0
+VERSION=1.4.1
 
 ######################################################################
 #
@@ -14,7 +14,9 @@
 #
 #  If you're not using GCC, then you'll have to change the CFLAGS.
 #
-CFLAGS += -Wall -fPIC
+# structured this way instead of += so configured CFLAGS can override -Wall
+CFLAGS := -Wall -Werror -fPIC ${CFLAGS}
+
 #
 # On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
 # gcc on Irix does not work yet for pam_radius
@@ -22,24 +24,36 @@
 # Then copy pam_radius_auth.so to /usr/freeware/lib32/security (PAM dir)
 # CFLAGS =
 
-#LDFLAGS += -shared -Wl,--version-script=pamsymbols.ver
-LDFLAGS += -shared
+#LDSHFLAGS += -shared -Wl,--version-script=pamsymbols.ver
+LDSHFLAGS = -shared
+LDLIBS += -laudit
+BINLIBS += -lcap
+LIBLIBS += -lpam
 
 ######################################################################
 #
 #  The default rule to build everything.
 #
-all: pam_radius_auth.so
+all: pam_radius_auth.so radius_shell
 
 ######################################################################
 #
 #  Build the object file from the C source.
 #
-pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
-	$(CC) $(CFLAGS) -c $< -o $@
+export CFLAGS
 
-md5.o: src/md5.c src/md5.h
-	$(CC) $(CFLAGS) -c $< -o $@
+src/support.o: src/support.c src/pam_radius_auth.h
+	@$(MAKE) -C src $(notdir $@)
+
+src/pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
+	@$(MAKE) -C src $(notdir $@)
+
+src/md5.o: src/md5.c src/md5.h
+	@$(MAKE) -C src $(notdir $@)
+
+src/radius_shell.o: src/radius_shell.c
+	@$(MAKE) -C src $(notdir $@)
+
 #
 # This is what should work on Irix:
 #pam_radius_auth.so: pam_radius_auth.o md5.o
@@ -58,8 +72,11 @@
 #
 #	gcc -shared pam_radius_auth.o md5.o -lpam -lc -o pam_radius_auth.so
 #
-pam_radius_auth.so: pam_radius_auth.o md5.o
-	$(CC) $(LDFLAGS) pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so
+pam_radius_auth.so: src/pam_radius_auth.o src/support.o src/md5.o
+	$(CC) $(LDFLAGS) $(LDSHFLAGS) $^ $(LDLIBS) $(LIBLIBS) -o $@
+
+radius_shell: src/radius_shell.o
+	$(CC) $(LDFLAGS) $^ $(LDLIBS) $(BINLIBS) -o $@
 
 ######################################################################
 #
@@ -75,5 +92,6 @@
 #
 #  Clean up everything
 #
+.PHONY: clean
 clean:
-	@rm -f *~ *.so *.o
+	@rm -f *~ *.so *.o src/*.o src/*~ radius_shell

=== src/Makefile ===
all: pam_radius_auth.o md5.o support.o

pam_radius_auth.o: pam_radius_auth.c pam_radius_auth.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

support.o: support.c pam_radius_auth.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

md5.o: md5.c md5.h
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: clean
clean:
	@rm -f *~ *.so *.o src/*.o src/*~

=== debian/changelog ===
libpam-radius-auth (1.5.0-cl4u1) RELEASED; urgency=medium

   * First 4.0 release

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 13 Oct 2019 21:14:31 -0700

libpam-radius-auth (1.5.0-cl3u7) RELEASED; urgency=low
  * Closes: CM-24829 - Fixed order setting vrf and binding to source address

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 01 Mar 2019 14:21:25 -0800

libpam-radius-auth (1.5.0-cl3u6) RELEASED; urgency=low
  * Do not show passwd when debugging enabled

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 01 Mar 2019 14:21:25 -0800

libpam-radius-auth (1.5.0-cl3u5) RELEASED; urgency=low
  * Closes: CM-23004 - local account password was allowed even when
    RADIUS server could be reached and was authoritative for the accountname

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 15 Nov 2018 13:51:34 -0800

libpam-radius-auth (1.5.0-cl3u4) RELEASED; urgency=low
  * fixed radius_shell to ensure euid set also, when run as a local user
    shell (so user can still login when the radius server is done).

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 28 Aug 2018 11:52:21 -0700

libpam-radius-auth (1.5.0-cl3u3) RELEASED; urgency=low
  * minor bug fix

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 25 Jun 2018 22:07:29 -0700

libpam-radius-auth (1.5.0-cl3u2) RELEASED; urgency=low
  * Closes: CM-20649 - Fixed problem that didn't create the home directory
  for privileged login users.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 18 Apr 2018 18:24:48 -0700

libpam-radius-auth (1.5.0-cl3u1) RELEASED; urgency=low
  * New Enabled - When the Vendor Specific Option (VSA) containing
    shell:priv-lvl is present and and the level value is >= to the level
    set in the config file (15 by default), the user is made a member
    of the groups containing the radius_priv_user, to enable configuration.
    Typically this includes the sudo and netedit accounts.
    The unprivileged radius_user login is added to the netshow group at
    install, therefore non-privileged radius users can run 'net show' cmds
    The privileged radius_priv_user login is added to the netedit and sudo
    groups at install, therefore privileged radius users can sudo, and
    can run 'net add', 'net commit', etc.

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 15 Apr 2018 14:53:33 -0700

libpam-radius-auth (1.4.1-cl3u3) RELEASED; urgency=low

  * Closes CM-19908 - Logging changed to use pam_syslog, log message format
    now has program invoking, not just pam_radius_auth

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 27 Feb 2018 14:47:22 -0800

libpam-radius-auth (1.4.1-cl3u2) RELEASED; urgency=low

  * Improved documentation in man pages

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 23 Jan 2018 16:03:38 -0800

libpam-radius-auth (1.4.1-cl3u1) RELEASED; urgency=low

  * Added support for mapping radius accounts to a local account
    to get UID, GID, and base of home directory, so radius users
    do not need to have an account created locally (or via LDAP)

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 16 Jun 2017 15:44:12 -0700

libpam-radius-auth (1.4.0) unstable; urgency=low

   * Many changes and bug fixes.  See USAGE and git log for details.
   * src_ip in config file
   * ipv6 support
   * configure can use poll or select
   * Add Calling-Station-Id to accounting requests
   * mostly thread safe
   * add force_prompt option to enforce new password prompt for use with Tok
   * NetBSD fixes
   * new parameter max_challenge limits number of Access-Challenges
   * build: do not force flags, add to them instead.
   * build: use GCC for build, and ensure that unneeded symbols are not exported.

 -- Alan T. DeKok <aland@freeradius.org>  Thu, 23 Mar 2017 19:01:20 -0400

libpam-radius-auth (1.3.17) unstable; urgency=low

  * Allow any number of retries, instead of only up to 3.
  * Add ruser option, to authenticate as PAM_RUSER instead of PAM_USER,
    to allow applications such as 'su' to authenticate as the real user.
    Patch from David Mitchell.
  * Add 'localifdown' option.

 -- Arran Cudbard-Bell <a.cudbardb@freeradius.org>  Wed, 24 Oct 2012 08:18:01 +0100

=== debian/control ===
Source: libpam-radius-auth
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Section: libs
Priority: extra
Standards-Version: 3.9.8
Build-Depends: libpam0g-dev | libpam-dev, debhelper (>= 9~), libaudit-dev, libcap-dev

Package: libpam-radius-auth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libaudit1, radius-shell
Description: PAM RADIUS client authentication module
 This is the PAM to RADIUS authentication module. It allows any PAM-capable
 machine to become a RADIUS client for authentication and accounting
 requests. You will, however, need to supply your own RADIUS server to
 perform the actual authentication

Package: radius-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libaudit1, libcap2-bin, libcap2, libnss-mapuser
Description: Shell front-end used for radius users.
 This provides a uid fixup program.  Due to the limitations of the
 RADIUS protocol, we can't tell whether a user is privileged until
 after authentication.  This package provides a shell front-end that
 sets the uid to the auid, if set and > 1000, and not already matching.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
# -Wnostrict-aliasing for md5.c
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
PAM_CONF_FILE=/etc/pam_radius_auth.conf
CFLAGS+=-g3 -Wno-strict-aliasing -DCONF_FILE=\"${PAM_CONF_FILE}\"

ifeq ($(DEB_HOST_GNU_CPU),(hppa|m68k|mips|powerpc|s390|sparc|sparc64|sheb))
	CFLAGS += -DHIGHFIRST
endif
export CFLAGS

%:
	dh $@ --with autoreconf

# all the installing is here, not in Makefile.
# The configuration file with the share secrets needs to be 600
override_dh_install:
	dh_install -v --sourcedir=. --package=libpam-radius-auth
	dh_install -v --sourcedir=.  --package=radius-shell
	chmod 600 debian/*/${PAM_CONF_FILE}
	chmod 750 debian/*/sbin/radius_shell

override_dh_fixperms:
	dh_fixperms --exclude ${PAM_CONF_FILE}

override_dh_installchangelogs:
	dh_installchangelogs Changelog

## libpam-radius-auth 2.0.0

=== Makefile ===
######################################################################
#
#  A minimal 'Makefile', by Alan DeKok <aland@freeradius.org>
#
# $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
#
#############################################################################
VERSION=2.0.0

######################################################################
#
# If we're really paranoid, use these flags
#CFLAGS = -Wall -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Waggregate-return
#
#  If you're not using GCC, then you'll have to change the CFLAGS.
#
CFLAGS += -Wall -fPIC

#
# On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
# gcc on Irix does not work yet for pam_radius
# Also, use gmake instead of make
# Then copy pam_radius_auth.so to /usr/freeware/lib32/security (PAM dir)
# CFLAGS =

#LDFLAGS += -shared -Wl,--version-script=pamsymbols.ver
LDFLAGS += -shared

$(if $(wildcard src/config.h),,$(error You must run './configure [options]' before doing 'make'))

######################################################################
#
#  The default rule to build everything.
#
all: pam_radius_auth.so

######################################################################
#
#  Build the object file from the C source.
#
export CFLAGS

src/pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
	@$(MAKE) -C src $(notdir $@)

src/md5.o: src/md5.c src/md5.h
	@$(MAKE) -C src $(notdir $@)

#
# This is what should work on Irix:
#pam_radius_auth.so: pam_radius_auth.o md5.o
#	ld -shared pam_radius_auth.o md5.o -L/usr/freeware/lib32 -lpam -lc -o pam_radius_auth.so


######################################################################
#
#  Build the shared library.
#
#  The -Bshareable flag *should* work on *most* operating systems.
#
#  On Solaris, you might try using '-G', instead.
#
#  On systems with a newer GCC, you will need to do:
#
#	gcc -shared pam_radius_auth.o md5.o -lpam -lc -o pam_radius_auth.so
#
pam_radius_auth.so: src/pam_radius_auth.o src/md5.o
	$(CC) $(LDFLAGS) $^ -lpam -o pam_radius_auth.so

######################################################################
#
#  Check a distribution out of the source tree, and make a tar file.
#
.PHONY: pam_radius-$(VERSION).tar.gz
pam_radius-$(VERSION).tar.gz:
	git archive --format=tar --prefix=pam_radius-$(VERSION)/ master | gzip > pam_radius-$(VERSION).tar.gz

%.sig: %
	gpg --default-key packages@freeradius.org -b $<


dist: pam_radius-$(VERSION).tar.gz pam_radius-$(VERSION).tar.gz.sig

######################################################################
#
#  Clean up everything
#
.PHONY: clean
clean:
	@rm -f *~ *.so *.o src/*.o src/*~

=== src/Makefile ===
all: pam_radius_auth.o md5.o

pam_radius_auth.o: pam_radius_auth.c pam_radius_auth.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

md5.o: md5.c md5.h
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: clean
clean:
	@rm -f *~ *.so *.o src/*.o src/*~

=== debian/changelog ===
libpam-radius-auth (2.0.0-1) unstable; urgency=medium

  * [2736aa5] d/libpam-radius-auth.install: Adjust install path
    Debian is supporting the Multiarch idea, thus we need to install the
    library into /lib/$DEB_HOST_MULTIARCH/security/ so it will get found.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 18 Feb 2021 17:50:12 +0100

libpam-radius-auth (2.0.0-1~exp1) experimental; urgency=medium

  * [60bdc37] New upstream version 2.0.0
    (Closes: #789144)
  * [86a931c] remove current patch queue
  * [ede4270] d/rules: add an override to the clean target
    Upstream has some oblique logic in the top level Makefile if the user is
    calling the target (dist)clean in case configure wasn't running or called
    before.
  * [a6a0d61] pam-configs: add config file for radius authentication
    Starting with this version we provide a configuration file for the
    pam-auth-update utility. Thanks Brett Delle Grazie for providing the
    content for the config file!
    (Closes: #614967)
  * [858f509] Adding postinst and prerm hook
    In order to get pam-auth-update called on package installations and also
    in case of the removal of the package we need to add the hook files.
  * [1418c7b] d/README.Debian: add info about PAM config file
  * [ee10bc8] NEWS: create file to announce important info on install

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 04 Feb 2021 18:53:30 +0100

libpam-radius-auth (1.4.0-4) unstable; urgency=medium

  * [dd1321d] d/watch: adding a watch file
    The source for pam_radius is managed on GitHub. We can monitor easily for
    newer version with a watch file.
  * [46be465] d/gbp.conf: adding extra configuration for git-buildpackage
    Use gbp for package management, a dedicated config file helps to keep the
    effort of the additional packaging workflow low.
  * [22839a4] d/README.source: adding info about source code management
    Adding some explation how this package is maintained (by gbp).
  * [1c3580a] running wrap-and-sort to improve readability
  * [23a72b1] d/copyright: change format to DEP5
    Turning the existing copyright file into a machine readable format.
  * [c6d3838] d/control: Bump Standards-Version to 4.5.1
    No further changes needed.
  * [d11655b] d/control: move over to debhelper 13
    Update the debhelper compat modus to the current most recent version 13.
  * [f4c3434] d/libpam-radius-auth.docs: use index.html from upstream
    We don't need to maintain a index.html file within the debian/ folder,
    upstream ships a own file since a while and keep this of course up to date.
  * [65e7199] d/control: Chris and myself will maintain pam_radius
    (Closes: #833039, #951770)
  * [b80ed5c] d/u/metadata: add basic meta-information for pam_radius
  * [25d1da5] d/libpam-radius-auth.doc-base: add sequencer file
    Register the shipped index.html file with doc-base.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Jan 2021 17:01:06 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

RADIUS_CONF_FILE=/etc/pam_radius_auth.conf
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND=-DCONF_FILE="\\\"$(RADIUS_CONF_FILE)\\\""

%:
	dh $@

override_dh_auto_clean:
	# work around some stupid logic in top level makefile
	cd src && make clean

# Make dh_auto_build pass CPPFLAGS in CFLAGS and force into "plain"
# makefile mode (because the configure here does not pass along e.g.
# compiler variables like CC)
override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_build -Smakefile

# Skip
override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/libpam-radius-auth/etc/pam_radius_auth.conf

=== debian/watch ===
# uscan watch file
version=4

opts="mode=git, \
      uversionmangle=s/-(beta|rc|dev)/~$1/; \
                     s/\.-(beta|rc|dev)\.\d.*//; \
                     s/\.\.//,\
      dversionmangle=s/\+dfsg(\.?\d+)?$//" \
      https://github.com/FreeRADIUS/pam_radius/ \
      refs/tags/release_(\d+)_(\d+)_(\d)

## libpam-radius-auth 2.0.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,12 @@
 # $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
-VERSION=2.0.0
+$(if $(wildcard src/config.h),,$(error You must run './configure [options]' before doing 'make'))
+$(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))
+
+include Make.inc
+
+VERSION = $(shell cat VERSION)
 
 ######################################################################
 #
@@ -14,7 +19,7 @@
 #
 #  If you're not using GCC, then you'll have to change the CFLAGS.
 #
-CFLAGS += -Wall -fPIC
+CFLAGS += -Wall
 
 #
 # On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
@@ -26,8 +31,6 @@
 #LDFLAGS += -shared -Wl,--version-script=pamsymbols.ver
 LDFLAGS += -shared
 
-$(if $(wildcard src/config.h),,$(error You must run './configure [options]' before doing 'make'))
-
 ######################################################################
 #
 #  The default rule to build everything.
@@ -38,7 +41,7 @@
 #
 #  Build the object file from the C source.
 #
-export CFLAGS
+export CFLAGS LDFLAGS
 
 src/pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
 	@$(MAKE) -C src $(notdir $@)
@@ -50,7 +53,6 @@
 # This is what should work on Irix:
 #pam_radius_auth.so: pam_radius_auth.o md5.o
 #	ld -shared pam_radius_auth.o md5.o -L/usr/freeware/lib32 -lpam -lc -o pam_radius_auth.so
-
 
 ######################################################################
 #
@@ -71,15 +73,10 @@
 #
 #  Check a distribution out of the source tree, and make a tar file.
 #
-.PHONY: pam_radius-$(VERSION).tar.gz
-pam_radius-$(VERSION).tar.gz:
+.PHONY: dist
+dist:
 	git archive --format=tar --prefix=pam_radius-$(VERSION)/ master | gzip > pam_radius-$(VERSION).tar.gz
-
-%.sig: %
-	gpg --default-key packages@freeradius.org -b $<
-
-
-dist: pam_radius-$(VERSION).tar.gz pam_radius-$(VERSION).tar.gz.sig
+	gpg --default-key aland@freeradius.org -b pam_radius-$(VERSION).tar.gz
 
 ######################################################################
 #
@@ -88,3 +85,12 @@
 .PHONY: clean
 clean:
 	@rm -f *~ *.so *.o src/*.o src/*~
+
+######################################################################
+#
+#  Install it
+#
+.PHONY: install
+install: all
+	install -m 0644 pam_radius_auth.so /lib/security
+	install -m 0644 pam_radius_auth.conf /etc/pam_radius_auth.conf

=== debian/changelog ===
libpam-radius-auth (2.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [ee9deb8] Set upstream metadata fields: Bug-Database, Repository.
  * [64ef8a9] Update standards version to 4.6.0, no changes needed.

  [ Carsten Schoenert ]
  * [137bfd9] New upstream version 2.0.1
  * [4655404] d/rules: Adjust target to get *.so build again
  * [d774ddf] d/pam_sshd_example: Add example from upstream project
  * [87150ed] d/copyright: Update content and year data
  * [fef93b1] d/libpam-radius-auth.examples: Ship file pam_sshd_example
  * [c4e1d63] d/control: Bump Standards-Version to 4.6.2

  [ Christoph Goehre ]
  * [471d21d] rebuild patch queue from patch-queue branch
    added patches:
    - Make.inc.in-remove-duplicate-compiler-options-in-CFLAGS-a.patch
    - src-Makefile-use-CPPFLAGS-too-while-compiling.patch
  * [426c3f8] d/rules: fixed Make.inc.in didn't need override_dh_auto_build
  * [d75fec6] d/rules: delete pam_radius_auth.so in clean target
    (Closes: #1047764)
  * [d31ced5] d/lintian-overrides: fix Lintian override for
    /etc/pam_radius_auth.conf

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 19 Aug 2023 16:08:42 +0200

=== debian/control ===
Source: libpam-radius-auth
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders: Christoph Goehre <chris@sigxcpu.org>
Section: admin
Priority: optional
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 libpam0g-dev | libpam-dev,
Rules-Requires-Root: no
Homepage: https://www.freeradius.org/pam_radius_auth/
Vcs-Browser: https://salsa.debian.org/tijuca/libpam-radius-auth
Vcs-Git: https://salsa.debian.org/tijuca/libpam-radius-auth.git

Package: libpam-radius-auth
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 radius-server,
Description: PAM RADIUS authentication module
 This is the PAM to RADIUS authentication module. It allows any PAM-capable
 machine to become a RADIUS client for authentication and accounting
 requests. You will, however, need to supply your own RADIUS server to
 perform the actual authentication

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

RADIUS_CONF_FILE=/etc/pam_radius_auth.conf
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND=-DCONF_FILE="\"$(RADIUS_CONF_FILE)\""

%:
	dh $@

override_dh_auto_clean:
	# work around some stupid logic in top level makefile
	rm -f src/*.o
	rm -f pam_radius_auth.so
	rm -f Make.inc

override_dh_auto_configure:
	./configure --prefix=$(CURDIR)/debian

# Skip
override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/libpam-radius-auth/etc/pam_radius_auth.conf

## libpam-radius-auth 3.0.0

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,22 @@
 # $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
+
+#
+#  We require Make.inc, UNLESS the target is "make deb" or "make rpm"
+#
+#  Since "make deb" re-runs configure... there's no point in
+#  requiring the developer to run configure *before* making
+#  the debian packages.
+#
+ifneq "$(MAKECMDGOALS)" "deb"
+ifneq "$(MAKECMDGOALS)" "rpm"
 $(if $(wildcard src/config.h),,$(error You must run './configure [options]' before doing 'make'))
 $(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))
 
 include Make.inc
+endif
+endif
 
 VERSION = $(shell cat VERSION)
 
@@ -73,10 +85,22 @@
 #
 #  Check a distribution out of the source tree, and make a tar file.
 #
+
+BRANCH = $(shell git rev-parse --abbrev-ref HEAD)
+
+pam_radius-$(VERSION).tar.gz: .git/HEAD
+	git archive --format=tar --prefix=pam_radius-$(VERSION)/ $(BRANCH) | gzip > $@
+
+pam_radius-$(VERSION).tar.bz2: .git/HEAD
+	git archive --format=tar --prefix=pam_radius-$(VERSION)/ $(BRANCH) | bzip2 > $@
+
+%.sig: %
+	gpg --default-key packages@freeradius.org -b $<
+
 .PHONY: dist
-dist:
-	git archive --format=tar --prefix=pam_radius-$(VERSION)/ master | gzip > pam_radius-$(VERSION).tar.gz
-	gpg --default-key aland@freeradius.org -b pam_radius-$(VERSION).tar.gz
+dist: pam_radius-$(VERSION).tar.gz pam_radius-$(VERSION).tar.bz2
+
+dist-sign: pam_radius-$(VERSION).tar.gz.sig pam_radius-$(VERSION).tar.bz2.sig
 
 ######################################################################
 #
@@ -92,5 +116,42 @@
 #
 .PHONY: install
 install: all
+	@mkdir -p /lib/security
 	install -m 0644 pam_radius_auth.so /lib/security
 	install -m 0644 pam_radius_auth.conf /etc/pam_radius_auth.conf
+
+######################################################################
+#
+#	Build a debian package
+#
+debian/changelog: debian/changelog.in
+	sed "s/@VERSION@/$(VERSION)/g" < $^ > $@
+
+.PHONY: deb
+deb: debian/changelog
+	@if ! command -v fakeroot; then \
+		if ! command -v apt-get; then \
+		  echo "'make deb' only works on debian systems" ; \
+		  exit 1; \
+		fi ; \
+		echo "Please run 'apt-get install build-essential fakeroot' "; \
+		exit 1; \
+	fi
+	fakeroot debian/rules debian/control
+	fakeroot dpkg-buildpackage -b -uc
+
+#
+#  Build an RPM package
+#
+.PHONY: rpm
+rpmbuild/SOURCES/pam_radius-$(VERSION).tar.bz2: pam_radius-$(VERSION).tar.bz2
+	@mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)
+	@for file in `awk '/^Source...:/ {print $$2}' redhat/pam_radius_auth.spec` ; do cp redhat/$$file rpmbuild/SOURCES/$$file ; done
+	@cp $< $@
+
+rpm: rpmbuild/SOURCES/pam_radius-$(VERSION).tar.bz2
+	@if ! yum-builddep -q -C --assumeno --define "_version $(VERSION)" redhat/pam_radius_auth.spec 1> /dev/null 2>&1; then \
+		echo "ERROR: Required dependencies not found, install them with: yum-builddep redhat/pam_radius_auth.spec"; \
+		exit 1; \
+	fi
+	@QA_RPATHS=0x0003 rpmbuild --define "_version $(VERSION)" --define "_topdir `pwd`/rpmbuild" -bb redhat/pam_radius_auth.spec

=== debian/changelog ===
libpam-radius-auth (3.0.0-1) unstable; urgency=medium

  * [9684854] New upstream version 3.0.0
  * [8150a41] rebuild patch queue from patch-queue branch
  * [be502cf] debian/docs: README.rst was renamed to README.md
  * [e4724ab] debian/rules: don't build with -DCONF_FILE anymore

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 18 Aug 2024 18:50:17 +0200

libpam-radius-auth (2.0.1-2) unstable; urgency=medium

  [ Michael Biebl ]
  * [c0b257b] d/libpam-radius-auth.install: Install PAM module into /usr
    (Closes: #1061847)

  [ Helmut Grohne ]
  * [fd4dad4] d/rules: FTCBFS Pass --build/--host to configure
    (Closes: #1063449)

  [ Carsten Schoenert ]
  * [caa1c5b] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 May 2024 08:12:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Christoph Goehre <chris@sigxcpu.org>
 Section: admin
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  libpam0g-dev | libpam-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-RADIUS_CONF_FILE=/etc/pam_radius_auth.conf
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CPPFLAGS_MAINT_APPEND=-DCONF_FILE="\"$(RADIUS_CONF_FILE)\""
 
 %:
 	dh $@
@@ -17,7 +17,7 @@
 	rm -f Make.inc
 
 override_dh_auto_configure:
-	./configure --prefix=$(CURDIR)/debian
+	./configure --prefix=$(CURDIR)/debian --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 
 # Skip
 override_dh_auto_install:
